package com.example.markdown.controller;

import com.example.markdown.service.Htmlservice;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@Controller
public class Markdowncontroller {

    private String markdown = "";
    private String html = "";

    private final Htmlservice htmlservice;

    @Autowired
    public Markdowncontroller(Htmlservice service) {
        this.htmlservice = service;
    }

    @GetMapping("/")
    public String index(Model model) {
        model.addAttribute("markdown", markdown);
        model.addAttribute("html", html);

        return "index";
    }

    @PostMapping("/")
    public String post(@RequestParam String input) {
        markdown = input;
        html = htmlservice.markdownToHtml(markdown);

        return "redirect:/";
    }
}
